/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MENSCOMP                                                 */
/* Tabela : MENSCOMP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_MENSCOMP
BEFORE INSERT OR UPDATE OR DELETE
ON MENSCOMP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMENC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDMENSCMP,0) <> NVL(:NEW.CDMENSCMP,0)) OR
         (NVL(:OLD.NMMENSCMP,0) <> NVL(:NEW.NMMENSCMP,0)) THEN
         :NEW.DTULTATUMENC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MENSCOMP', '', 'CDMENSCMP='||:OLD.CDMENSCMP||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MENSCOMP MODIFY DTULTATUMENC DEFAULT SYSDATE
/
