/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CENTCUST                                                 */
/* Tabela : CENTCUST                                                          */
/*                                                                            */
/* Criao:                                                                   */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CENTCUST
BEFORE INSERT OR UPDATE OR DELETE
ON CENTCUST FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCCUS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDCENTCUST,0) <> NVL(:NEW.CDCENTCUST,0)) OR
         (NVL(:OLD.NMCENTCUST,0) <> NVL(:NEW.NMCENTCUST,0)) THEN
         :NEW.DTULTATUCCUS := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CENTCUST', '', 'CDCENTCUST='||:OLD.CDCENTCUST||';', SYSDATE);
   END IF;
END;
/
UPDATE CENTCUST SET DTULTATUCCUS = SYSDATE WHERE DTULTATUCCUS IS NULL
/
ALTER TABLE CENTCUST MODIFY DTULTATUCCUS DEFAULT SYSDATE
/
-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CENTCUST','5.09.999'); END;
/
